%define anolis_release 3

Name:    ima-evm-utils
Version: 1.4
Release: %{anolis_release}%{?dist}
Summary: IMA/EVM support utilities
License: GPLv2
Url:     http://linux-ima.sourceforge.net/
Source0: http://sourceforge.net/projects/linux-ima/files/ima-evm-utils/%{name}-%{version}.tar.gz

BuildRequires: asciidoc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: keyutils-libs-devel
BuildRequires: libtool
BuildRequires: libxslt
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: tpm2-tss-devel

%description
The Trusted Computing Group(TCG) run-time Integrity Measurement Architecture
(IMA) maintains a list of hash values of executables and other sensitive
system files, as they are read or executed. These are stored in the file
systems extended attributes. The Extended Verification Module (EVM) prevents
unauthorized changes to these extended attributes on the file system.
ima-evm-utils is used to prepare the file system for these extended attributes.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the header files for %{name}

%prep
%autosetup -p1

%build
autoreconf -vif
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/evmctl
# if you need to bump the soname version, coordinate with dependent packages
%{_libdir}/libimaevm.so.3*
%{_mandir}/man1/evmctl*
%{abidir}/evmctl-option.list
%{abidir}/libimaevm.dump

%files doc
%doc NEWS README AUTHORS

%files devel
%{_pkgdocdir}/*.sh
%{_includedir}/imaevm.h
%{_libdir}/libimaevm.so

%changelog
* Thu Feb 23 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.4-3
- update dump related spec

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4-2
- add doc package

* Wed Mar 09 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4-1
- init from upstream 1.4
